package org.jeecg.modules.checkData.equipmentCheckData.vo;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * <p>
 * 检查数据设备-检查记录数据-道岔使用情况检查数据
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
@Data
@ApiModel(value = "UseTurnoutRecordCheck对象", description = "检查数据设备-检查记录数据-道岔使用情况检查数据")
public class UseTurnoutRecordCheckDetailVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @Excel(name = "检查批次编号", width = 15, orderNum = "1")
    private String ekCode;

    @ApiModelProperty("工单编号")
    private String workCode;

    @ApiModelProperty("轨距水平尺编号")
    private String gaugeCode;

    @ApiModelProperty("检查区间id")
    private String subwaySectionId;

    @ApiModelProperty("检查区间名称")
    private String subwaySectionName;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("设备检查记录主表id")
    private String recordsMasterCheckId;

    @ApiModelProperty("道岔id")
    private String switchManagementId;

    @ApiModelProperty("检查日期")
    private Date checkTime;

    @ApiModelProperty("道岔编码")
    private String turnoutCode;

    @ApiModelProperty("几何尺寸")
    private JSONObject geometricDimensions;

    @ApiModelProperty("转辙器")
    private JSONObject switchPart;

    @ApiModelProperty("钢轨及其连接零件")
    private JSONObject railAndConnPart;
}
